Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 821559 - app-shells/fish-3.3.1-r1 fails tests
Summary: app-shells/fish-3.3.1-r1 fails tests
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Georgy Yakovlev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 818256
  Show dependency tree
 
Reported: 2021-11-04 00:27 UTC by Jakov Smolić
Modified: 2021-12-21 11:54 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (app-shells_fish-3.3.1-r1_use_B8WI7,101.59 KB, text/plain)
2021-11-04 00:27 UTC, Jakov Smolić
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jakov Smolić gentoo-dev 2021-11-04 00:27:59 UTC
Created attachment 748371 [details]
Build log

Testing history_sample_corrupt1
Testing builtin_string
Error: Test failed on line 5589: [string match -r \(\?=ab\\K\) ab]: expected return code 0 but got 2
Error: Test failed on line 5589: [string match -r \(\?=ab\\K\)..\(\?=cd\\K\) abcd]: expected return code 0 but got 2
Testing illegal command exit code
/var/tmp/portage/app-shells/fish-3.3.1-r1/work/fish-3.3.1_build/test/temp
Testing maybe_t
Testing path normalization
Testing wdirname and wbasename
Testing topic monitor
Torture-testing topic monitor
Testing pipes
Testing fd event signaller
Testing timer format
Testing termsize
Testing killring
Encountered 2 errors in low-level tests
FAILED: CMakeFiles/serial_test_low_level
cd /var/tmp/portage/app-shells/fish-3.3.1-r1/work/fish-3.3.1_build && env XDG_DATA_DIRS= XDG_DATA_HOME=/var/tmp/portage/app-shells/fish-3.3.1-r1/work/fish-3.3.1_build/test/xdg_data XDG_CONFIG_HOME=/var/tmp/portage/app-shells/fish-3.3.1-r1/work/fish-3.3.1_build/test/xdg_config XDG_RUNTIME_DIR=/var/tmp/portage/app-shells/fish-3.3.1-r1/work/fish-3.3.1_build/test/xdg_runtime ./fish_tests
ninja: build stopped: subcommand failed.
 * ERROR: app-shells/fish-3.3.1-r1::gentoo failed (test phase):
 *   ninja -v -j64 -l64 test failed
 *
 * Call stack:
 *     ebuild.sh, line  127:  Called src_test
 *   environment, line 3044:  Called cmake_build 'test'
 *   environment, line 1176:  Called eninja 'test'
 *   environment, line 1683:  Called die
 * The specific snippet of code:
 *       "$@" || die "${nonfatal_args[@]}" "${*} failed"
 *
 * If you need support, post the output of `emerge --info '=app-shells/fish-3.3.1-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=app-shells/fish-3.3.1-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/app-shells/fish-3.3.1-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-shells/fish-3.3.1-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/app-shells/fish-3.3.1-r1/work/fish-3.3.1_build'
 * S: '/var/tmp/portage/app-shells/fish-3.3.1-r1/work/fish-3.3.1'


emerge --info:
Portage 3.0.28 (python 3.9.7-final-0, default/linux/amd64/17.1/systemd, gcc-11.2.0, glibc-2.33-r1, 5.10.68-gentoo-dist x86_64)
=================================================================
System uname: Linux-5.10.68-gentoo-dist-x86_64-Common_KVM_processor-with-glibc2.33
KiB Mem:    65850752 total,  56998528 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sun, 31 Oct 2021 12:30:01 +0000
Head commit of repository gentoo: 4637b4bc3268c5d8a18fb2e7852c9b8f68e445a3
Head commit of repository sakaki-tools: 571e34870d665e98677caecbd56cf0d399ee4b3c

sh bash 5.1_p8
ld GNU ld (Gentoo 2.37_p1 p0) 2.37
distcc 3.4 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          5.1_p8::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.34.0-r5::gentoo
dev-lang/python:          2.7.18_p13::gentoo, 3.9.7_p1::gentoo, 3.10.0_p1::gentoo
dev-lang/rust-bin:        1.53.0::gentoo
dev-util/cmake:           3.20.5::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/sandbox:         2.25::gentoo
sys-devel/autoconf:       2.71-r1::gentoo
sys-devel/automake:       1.16.4::gentoo
sys-devel/binutils:       2.37_p1::gentoo
sys-devel/gcc:            11.2.0::gentoo
sys-devel/gcc-config:     2.4::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.10::gentoo (virtual/os-headers)
sys-libs/glibc:           2.33-r1::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts:
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes

sakaki-tools
    location: /usr/local/portage/sakaki-tools
    sync-type: git
    sync-uri: https://github.com/sakaki-/sakaki-tools.git
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE @BINARY-REDISTRIBUTABLE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/var/cache/distfiles"
EMERGE_DEFAULT_OPTS="--jobs 10"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.netcologne.de/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j64 -l64"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 bzip2 cli crypt dri fortran gdbm iconv ipv6 libglvnd libtirpc multilib ncurses nls nptl openmp pam pcre readline seccomp split-usr ssl systemd tcpd udev unicode xattr zlib" ABI_X86="64" ADA_TARGET="gnat_2019" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9" RUBY_TARGETS="ruby26 ruby27" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RUSTFLAGS
Comment 1 Rolf Eike Beer archtester 2021-12-17 13:02:06 UTC
I see this on sparc:

Testing file pexpects/terminal.py ... Failed to match pattern: 80\ 24
terminal.py:19: timeout from expect_str("80 24")


Escaped buffer:
\rprompt 1>echo \rprompt 1>echo $COLUMNS \rprompt 1>echo $COLUMNS $LINES\rprompt 1>echo $COLUMNS $LINES\r\n265 24\r\n<E2><8F><8E>                                                                              \r<E2><8F><8E> \rterm-support: Terminal has 0 columns, falling back to default width\r\nterm-support: Terminal has 0 rows, falling back to default height\r\n\rprompt 2>

When written to the tty, this looks like:
<-------
^Mprompt 1>echo ^Mprompt 1>echo $COLUMNS ^Mprompt 1>echo $COLUMNS $LINES^Mprompt 1>echo $COLUMNS $LINES
265 24
<E2><8F><8E>                                                                              ^M<E2><8F><8E> ^Mterm-support: Terminal has 0 columns, falling back to default width
term-support: Terminal has 0 rows, falling back to default height
^Mprompt 2>
------->

Last 10 messages:
OUTPUT       0.00 ms (Line 16): \rprompt 1>
 INPUT      52.00 ms (Line 18): echo $COLUMNS $LINES\n
Comment 2 Rolf Eike Beer archtester 2021-12-17 13:02:21 UTC
Sorry, hppa, not sparc.
Comment 3 Larry the Git Cow gentoo-dev 2021-12-21 11:54:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dffcabb1fe3e9bd7145211397da23e182c97d2b4

commit dffcabb1fe3e9bd7145211397da23e182c97d2b4
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2021-12-21 11:53:40 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2021-12-21 11:54:46 +0000

    app-shells/fish: enable py3.10, fix failing tests
    
    we remove terminal.py pexpect test because it's
    very fragile and depends on test environment
    
    Closes: https://bugs.gentoo.org/821559
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 app-shells/fish/files/3.3.1-drop-some-tests.patch | 26 +++++++++++++++++++++++
 app-shells/fish/fish-3.3.1-r1.ebuild              | 10 ++++++++-
 2 files changed, 35 insertions(+), 1 deletion(-)